/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
export class VorgangFormularButtonsE2EComponent {
  private readonly abschliessenButton: string = 'abschliessen-button';
  private readonly annehmenButton: string = 'annehmen-button';
  private readonly bearbeitenButton: string = 'bearbeiten-button';
  private readonly bescheidenButton: string = 'bescheiden-button';
  private readonly endgueltigLoeschenButton: string = 'endgueltig-loeschen-button';
  private readonly loeschAnforderungZuruecknehmenButton: string =
    'loesch-anforderung-zuruecknehmen-button';
  private readonly loeschenAnfordernButton: string = 'loeschen-anfordern-button';
  private readonly verwerfenButton: string = 'verwerfen-button';
  private readonly wiedereroeffnenButton: string = 'wiedereroeffnen-button';
  private readonly zurueckholenButton: string = 'zurueckholen-button';
  private readonly zurueckstellenButton: string = 'zurueckstellen-button';

  public getAbschliessenButton() {
    return cy.getTestElement(this.abschliessenButton);
  }

  public getAnnehmenButton() {
    return cy.getTestElement(this.annehmenButton);
  }

  public getBearbeitenButton() {
    return cy.getTestElement(this.bearbeitenButton);
  }

  public getBescheidenButton() {
    return cy.getTestElement(this.bescheidenButton);
  }

  public getEndgueltigLoeschenButton() {
    return cy.getTestElement(this.endgueltigLoeschenButton);
  }

  public getLoeschAnforderungZuruecknehmenButton() {
    return cy.getTestElement(this.loeschAnforderungZuruecknehmenButton);
  }

  public getLoeschenAnfordernButton() {
    return cy.getTestElement(this.loeschenAnfordernButton);
  }

  public getVerwerfenButton() {
    return cy.getTestElement(this.verwerfenButton);
  }

  public getWiedereroeffnenButton() {
    return cy.getTestElement(this.wiedereroeffnenButton);
  }

  public getZurueckholenButton() {
    return cy.getTestElement(this.zurueckholenButton);
  }

  public getZurueckstellenButton() {
    return cy.getTestElement(this.zurueckstellenButton);
  }
}
